Sun = Object:new()
Sun.type = "Sun"
Sun.image, Sun.w, Sun.h = get_image("images/sun_base.png")
Sun.image_o, Sun.w_o, Sun.h_o = get_image("images/sun_overlay.png")
Sun.image_b = get_image("images/sunbeam.png")
Sun.image_bs = get_image("images/beam_splash.png")

Sun.x_offset = 64
Sun.y_offset = 0
Sun.x = 320
Sun.y = 0
Sun.rd = 0
Sun.sp = 0
Sun.heading = 0
Sun.speed_mov = 7
Sun.beam_time = 0

Sun.beam_on = false

function Sun:new(o)
  o = o or {}
  setmetatable(o, self)
  self.__index = self
  return o
end

function Sun:draw()
	if self.beam_on == true then
		blit(self.image_b,self.x-32,self.y+64,0,false)
	end
	
	Object.draw(self)
	blit(self.image_o, self.x-self.x_offset, self.y-self.y_offset, 0, false)
end

function Sun:update(delta)
	if self.beam_on then self.beam_time = self.beam_time - 1 end
	if self.beam_on and self.beam_time <= 0 then self.beam_on = false end
	self.speed = (math.cos(math.rad(self.sp))*self.speed_mov)

	Object.update(self,delta)
	Sun_psys.x = self.x
	Sun_psys.y = self.y + 16
	self.rotation = (math.cos(math.rad(self.rd))*20) + 360
	self.rd = self.rd + 1.5
	self.sp = self.sp + 2.0
end

function Sun:collide(ids, object)

end